Package: org.apache.groovy.groovysh.util

## [Groovy] Class ScriptVariableAnalyzer.VisitorClassLoader

- org.apache.groovy.groovysh.util.ScriptVariableAnalyzer.VisitorClassLoader

-     static class ScriptVariableAnalyzer.VisitorClassLoader
      extends GroovyClassLoader

  class loader to add our phase operation

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GroovyClassVisitor` | `visitor`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `VisitorClassLoader (GroovyClassVisitor visitor, ClassLoader parent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected CompilationUnit` | `createCompilationUnit(CompilerConfiguration config, CodeSource source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `clearCache, hasCompatibleConfiguration, addClasspath, getResourceLoader, generateScriptName, getLoadedClasses, setResourceLoader, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, isShouldRecompile, setShouldRecompile, loadClass, loadClass, loadClass, defineClass, defineClass, close, addURL, newInstance, newInstance, getResourceAsStream, findResource, findResources, getURLs, getPlatformClassLoader, getSystemClassLoader, getName, getResource, getSystemResourceAsStream, getSystemResource, getResources, resources, isRegisteredAsParallelCapable, getSystemResources, getParent, getUnnamedModule, getDefinedPackage, getDefinedPackages, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final GroovyClassVisitor visitor

  - ### Constructor Detail

    - #### VisitorClassLoader(GroovyClassVisitor visitor, ClassLoader parent)

  - ### Method Detail

    - #### @Override protected CompilationUnit createCompilationUnit(CompilerConfiguration config, CodeSource source)